Skip to Content
REST APICard API

Card API

List cards owned by an account.

PathMethodProtected
/v1/accounts/{account_id}/cardsGETYes

Query Parameters

NameTypeRequiredDescription
include_rootbooleanNo-
include_permission_sharesbooleanNo-
include_environment_defaultsbooleanNo-
include_agent_initialsbooleanNo-

Example Response JSON

[ { "type": "Concrete", "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24", "parentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "lowerPositive": [ "string" ], "lowerNegative": [ "string" ], "upperPositive": [ "string" ], "upperNegative": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "systemCard": true, "managedBy": { "type": "AccountRoot", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9" } } ]

Get a card by id.

PathMethodProtected
/v1/cards/{card_id}GETYes

Example Response JSON

{ "type": "Concrete", "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24", "parentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "lowerPositive": [ "string" ], "lowerNegative": [ "string" ], "upperPositive": [ "string" ], "upperNegative": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "systemCard": true, "managedBy": { "type": "AccountRoot", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9" } }

Revoke a card and all of its descendants.

PathMethodProtected
/v1/cards/{card_id}DELETEYes

Example Response JSON

{ "revokedCardIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ] }

Card API Errors

Status CodeDescriptionBody
400Invalid request, returning with a list of issues detected in the request{"code":"string","errors":["string"]}
401Unauthorized request{"code":"string","error":"string"}
403Forbidden Request{"code":"string","error":"string"}
404Entity not found{"code":"string","error":"string"}
409{"code":"string","error":"string"}
422Limits of the plan exceeded{"code":"string","error":"string"}
500Internal server error{"code":"string","error":"string"}